Subject: Re: [PATCH net-next 4/6] xfrm: Add xfrm6 address translation function

From: David Ahern <[email-masked]>
Date: Tue, 29 Sep 2015 16:58:46 -0600

Hi Tom:

On 9/29/15 4:17 PM, Tom Herbert wrote:
> This patch adds xfrm6_xlat_addr which is called in the data path
> to perform address translation (primarily for the receive path). Modules
> may register their own callback to perform a translation-- this
> registration is managed by xfrm6_xlat_addr_add and xfrm6_xlat_addr_del.
> xfrm6_xlat_addr allows translation of addresses for an sk_buff.

Seems like a stretch to lump this into xfrms. You have a separate genl 
based config as opposed to the netlink xfrm API and you are calling the 
xlat_addr function directly in ip6_rcv as opposed to via some policy 
with dst_ops driven redirection. Why call this a xfrm?